> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a mock server

PUT https://api.getpostman.com/mocks/{mockId}
Content-Type: application/json

Updates a mock server's properties, such as its name or collection.

Reference: https://learning.postman.com/api-docs/api-reference/mocks/update-mock

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /mocks/{mockId}:
    put:
      operationId: updateMock
      summary: Update a mock server
      description: Updates a mock server's properties, such as its name or collection.
      tags:
        - mocks
      parameters:
        - name: mockId
          in: path
          description: The mock's ID.
          required: true
          schema:
            $ref: '#/components/schemas/mockId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mockCreateUpdateResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateMockRequestBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateMockRequestUnauthorizedError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mock500Error'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateMock'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    mockId:
      type: string
      title: mockId
    UpdateMockMockConfig:
      type: object
      properties:
        serverResponseId:
          type:
            - string
            - 'null'
          description: >-
            The server response ID. This sets the given server response as the
            default response for each request. To deactivate a server response,
            pass a null value.
      description: The mock server's configuration settings.
      title: UpdateMockMockConfig
    UpdateMockMock:
      type: object
      properties:
        name:
          type: string
          description: The mock server's name.
        environment:
          type: string
          format: uid
          description: The associated environment's unique ID.
        description:
          type: string
          description: The mock server's description.
        private:
          type: boolean
          default: false
          description: >-
            If true, the mock server is set private. By default, mock servers
            are public and can receive requests from anyone and anywhere.
        versionTag:
          type: string
          description: The API's version tag ID.
        collection:
          type: string
          description: The ID of the collection associated with the mock server.
        config:
          $ref: '#/components/schemas/UpdateMockMockConfig'
          description: The mock server's configuration settings.
      title: UpdateMockMock
    updateMock:
      type: object
      properties:
        mock:
          $ref: '#/components/schemas/UpdateMockMock'
      title: updateMock
    MockCreateUpdateResponseMockConfigDelayType:
      type: string
      enum:
        - fixed
      description: The `fixed` value.
      title: MockCreateUpdateResponseMockConfigDelayType
    MockCreateUpdateResponseMockConfigDelayPreset:
      type: string
      enum:
        - '1'
        - '2'
      description: |
        The simulated fixed network delay value:
        - `1` — 2G (300 ms).
        - `2` — 3G (100 ms).
        The object does not return this value for custom delay values.
      title: MockCreateUpdateResponseMockConfigDelayPreset
    MockCreateUpdateResponseMockConfigDelay:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/MockCreateUpdateResponseMockConfigDelayType'
          description: The `fixed` value.
        duration:
          type: integer
          description: >-
            For custom network delays, the custom configured delay, in
            milliseconds.
        preset:
          $ref: '#/components/schemas/MockCreateUpdateResponseMockConfigDelayPreset'
          description: |
            The simulated fixed network delay value:
            - `1` — 2G (300 ms).
            - `2` — 3G (100 ms).
            The object does not return this value for custom delay values.
      description: >-
        Information about the mock server's simulated network delay settings.
        This returns a null value if there are no configured network delay
        settings.
      title: MockCreateUpdateResponseMockConfigDelay
    MockCreateUpdateResponseMockConfig:
      type: object
      properties:
        matchBody:
          type: boolean
          description: >-
            If true, the mock server matches the request's body to the body of
            the saved examples.
        matchHeader:
          type: boolean
          description: >-
            If true, the mock server matches the request's headers in the
            `header` array to the headers of the saved examples.
        headers:
          type: array
          items:
            type: string
          description: A list of header key values.
        matchQueryParams:
          type: boolean
          description: If true, match query parameters to the saved examples.
        matchWildcards:
          type: boolean
          description: If true, use wildcard variable matching.
        delay:
          oneOf:
            - $ref: '#/components/schemas/MockCreateUpdateResponseMockConfigDelay'
            - type: 'null'
          description: >-
            Information about the mock server's simulated network delay
            settings. This returns a null value if there are no configured
            network delay settings.
        serverResponseId:
          type:
            - string
            - 'null'
          description: >-
            The ID of mock server's default response for requests. All calls to
            the mock server will return the defined response.
      description: Information about the mock server's configuration.
      title: MockCreateUpdateResponseMockConfig
    MockCreateUpdateResponseMock:
      type: object
      properties:
        id:
          type: string
          description: The mock server's ID.
        owner:
          type: string
          description: The ID of mock server's owner.
        uid:
          type: string
          format: uid
          description: The mock server's unique ID.
        collection:
          type: string
          description: The unique ID of the mock's associated collection.
        mockUrl:
          type: string
          format: url
          description: The mock server URL.
        name:
          type: string
          description: The mock server's name.
        config:
          $ref: '#/components/schemas/MockCreateUpdateResponseMockConfig'
          description: Information about the mock server's configuration.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the mock server was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the mock server was last updated.
        environment:
          type: string
          description: The unique ID of the mock's associated environment.
      description: Information about the mock server.
      title: MockCreateUpdateResponseMock
    mockCreateUpdateResponse:
      type: object
      properties:
        mock:
          $ref: '#/components/schemas/MockCreateUpdateResponseMock'
          description: Information about the mock server.
      title: mockCreateUpdateResponse
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    CommonErrorNameMessageDetailsErrorDetails:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            type: string
      description: Information about the error.
      title: CommonErrorNameMessageDetailsErrorDetails
    CommonErrorNameMessageDetailsError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
        details:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsErrorDetails'
          description: Information about the error.
      title: CommonErrorNameMessageDetailsError
    commonErrorNameMessageDetails:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsError'
      title: commonErrorNameMessageDetails
    UpdateMockRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorNameMessage'
        - $ref: '#/components/schemas/commonErrorNameMessageDetails'
      title: UpdateMockRequestBadRequestError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    UpdateMockRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: UpdateMockRequestUnauthorizedError
    Mock500ErrorError:
      type: object
      properties:
        type:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: Mock500ErrorError
    mock500Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Mock500ErrorError'
      title: mock500Error
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Request**

```json
undefined
```

**Response**

```json
{
  "mock": {
    "id": "e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "owner": "12345678",
    "uid": "12345678-e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
    "mockUrl": "https://e3d951bf-873f-49ac-a658-b2dcb91d3289.mock.pstmn.io",
    "name": "Test Mock",
    "config": {
      "matchBody": false,
      "headers": [
        "POST"
      ],
      "matchQueryParams": true,
      "matchWildcards": true,
      "delay": {
        "type": "fixed",
        "duration": 300,
        "preset": "1"
      },
      "serverResponseId": "9a291bbe-dc0a-44ba-a3c8-6dbd06a61460"
    },
    "createdAt": "2022-06-09T19:00:39.000Z",
    "updatedAt": "2022-06-09T19:00:39.000Z",
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update Mock Properties



**Request**

```json
{
  "mock": {
    "name": "Test Mock",
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "description": "This is a test mock server.",
    "private": true,
    "versionTag": "abf07d3d-f8ec-47d4-8015-9fe83078b4ec",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
  }
}
```

**Response**

```json
{
  "mock": {
    "id": "e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "owner": "12345678",
    "uid": "12345678-e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
    "mockUrl": "https://e3d951bf-873f-49ac-a658-b2dcb91d3289.mock.pstmn.io",
    "name": "Test Mock",
    "config": {
      "matchBody": false,
      "headers": [
        "POST"
      ],
      "matchQueryParams": true,
      "matchWildcards": true,
      "delay": {
        "type": "fixed",
        "duration": 300,
        "preset": "1"
      },
      "serverResponseId": "9a291bbe-dc0a-44ba-a3c8-6dbd06a61460"
    },
    "createdAt": "2022-06-09T19:00:39.000Z",
    "updatedAt": "2022-06-09T19:00:39.000Z",
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e"
  }
}
```

**SDK Code**

```python Update Mock Properties
import requests

url = "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

payload = { "mock": {
        "name": "Test Mock",
        "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
        "description": "This is a test mock server.",
        "private": True,
        "versionTag": "abf07d3d-f8ec-47d4-8015-9fe83078b4ec",
        "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update Mock Properties
const url = 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"mock":{"name":"Test Mock","environment":"12345678-5daabc50-8451-43f6-922d-96b403b4f28e","description":"This is a test mock server.","private":true,"versionTag":"abf07d3d-f8ec-47d4-8015-9fe83078b4ec","collection":"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Mock Properties
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

	payload := strings.NewReader("{\n  \"mock\": {\n    \"name\": \"Test Mock\",\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"description\": \"This is a test mock server.\",\n    \"private\": true,\n    \"versionTag\": \"abf07d3d-f8ec-47d4-8015-9fe83078b4ec\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Mock Properties
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"mock\": {\n    \"name\": \"Test Mock\",\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"description\": \"This is a test mock server.\",\n    \"private\": true,\n    \"versionTag\": \"abf07d3d-f8ec-47d4-8015-9fe83078b4ec\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Update Mock Properties
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"mock\": {\n    \"name\": \"Test Mock\",\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"description\": \"This is a test mock server.\",\n    \"private\": true,\n    \"versionTag\": \"abf07d3d-f8ec-47d4-8015-9fe83078b4ec\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}")
  .asString();
```

```php Update Mock Properties
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289', [
  'body' => '{
  "mock": {
    "name": "Test Mock",
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "description": "This is a test mock server.",
    "private": true,
    "versionTag": "abf07d3d-f8ec-47d4-8015-9fe83078b4ec",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update Mock Properties
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"mock\": {\n    \"name\": \"Test Mock\",\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"description\": \"This is a test mock server.\",\n    \"private\": true,\n    \"versionTag\": \"abf07d3d-f8ec-47d4-8015-9fe83078b4ec\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update Mock Properties
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["mock": [
    "name": "Test Mock",
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "description": "This is a test mock server.",
    "private": true,
    "versionTag": "abf07d3d-f8ec-47d4-8015-9fe83078b4ec",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update Collection and Environment



**Request**

```json
{
  "mock": {
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
  }
}
```

**Response**

```json
{
  "mock": {
    "id": "e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "owner": "12345678",
    "uid": "12345678-e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
    "mockUrl": "https://e3d951bf-873f-49ac-a658-b2dcb91d3289.mock.pstmn.io",
    "name": "Test Mock",
    "config": {
      "matchBody": false,
      "headers": [
        "POST"
      ],
      "matchQueryParams": true,
      "matchWildcards": true,
      "delay": {
        "type": "fixed",
        "duration": 300,
        "preset": "1"
      },
      "serverResponseId": "9a291bbe-dc0a-44ba-a3c8-6dbd06a61460"
    },
    "createdAt": "2022-06-09T19:00:39.000Z",
    "updatedAt": "2022-06-09T19:00:39.000Z",
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e"
  }
}
```

**SDK Code**

```python Update Collection and Environment
import requests

url = "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

payload = { "mock": {
        "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
        "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update Collection and Environment
const url = 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"mock":{"environment":"12345678-5daabc50-8451-43f6-922d-96b403b4f28e","collection":"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Collection and Environment
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

	payload := strings.NewReader("{\n  \"mock\": {\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Collection and Environment
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"mock\": {\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Update Collection and Environment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"mock\": {\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}")
  .asString();
```

```php Update Collection and Environment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289', [
  'body' => '{
  "mock": {
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update Collection and Environment
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"mock\": {\n    \"environment\": \"12345678-5daabc50-8451-43f6-922d-96b403b4f28e\",\n    \"collection\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update Collection and Environment
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["mock": [
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```